#!/bin/bash

REALNAME=$1
VERSION=$2
SOURCE_ORIG=$3
SUMMARY=$4
DESCRIPTION=$5
SPECFILE="perl-$REALNAME-jcolson.spec"

SOURCE=$(echo "$SOURCE_ORIG" | sed "s/$REALNAME/\%{real_name}/;s/$VERSION/\%{version}/;")

TARBALL=$(basename "$SOURCE_ORIG")

sed "s@<<REALNAME>>@$REALNAME@; s@<<VERSION>>@$VERSION@; s@<<SUMMARY>>@$SUMMARY@; s@<<SOURCE>>@$SOURCE@; s@<<DESCRIPTION>>@$DESCRIPTION@;" > $SPECFILE < base.spec

#echo -e "REALNAME: $REALNAME\nVERSION: $VERSION\nSUMMARY: $SUMMARY\nSOURCE: $SOURCE_ORIG\nDESC: $DESCRIPTION\nTARBALL: $TARBALL"
wget $SOURCE_ORIG
mv -v $TARBALL /usr/src/packages/SOURCES/
rpmbuild --clean -ba $SPECFILE
